Extending Qt Creator Manual | SideBar

Extending Qt Creator Manual 4.5.2

# SideBar Class

(Core::SideBar)

- List of all members, including inherited members

## Public Functions

| SideBar(QList<SideBarItem *> widgetList, QList<SideBarItem *> defaultVisible)
virtual | ~SideBar()
void | activateItem(const QString &id)
QStringList | availableItemIds() const
QStringList | availableItemTitles() const
void | closeAllWidgets()
bool | closeWhenEmpty() const
QString | idForTitle(const QString &title) const
SideBarItem * | item(const QString &title)
void | makeItemAvailable(SideBarItem *item)
void | readSettings(QSettings *settings, const QString &name)
void | saveSettings(QSettings *settings, const QString &name)
void | setCloseWhenEmpty(bool value)
void | setShortcutMap(const QMap<QString, Command *> &shortcutMap)
void | setUnavailableItemIds(const QStringList &itemTitles)
QMap<QString, Command *> | shortcutMap() const
QStringList | unavailableItemIds() const

## Signals

void | availableItemsChanged()
void | sideBarClosed()

## Member Function Documentation

### SideBar::SideBar(QList<SideBarItem *> widgetList, QList<SideBarItem *> defaultVisible)

Default constructs an instance of SideBar.

### `[virtual]` SideBar::~SideBar()

Destroys the instance of SideBar. The destructor is virtual.

### void SideBar::activateItem(const QString &id)

### QStringList SideBar::availableItemIds() const

### QStringList SideBar::availableItemTitles() const

### `[signal]` void SideBar::availableItemsChanged()

### void SideBar::closeAllWidgets()

### bool SideBar::closeWhenEmpty() const

See also setCloseWhenEmpty().

### QString SideBar::idForTitle(const QString &title) const

### SideBarItem *SideBar::item(const QString &title)

### void SideBar::makeItemAvailable(SideBarItem *item)

### void SideBar::readSettings(QSettings *settings, const QString &name)

### void SideBar::saveSettings(QSettings *settings, const QString &name)

### void SideBar::setCloseWhenEmpty(bool value)

See also closeWhenEmpty().

### void SideBar::setShortcutMap(const QMap<QString, Command *> &shortcutMap)

See also shortcutMap().

### void SideBar::setUnavailableItemIds(const QStringList &itemTitles)

See also unavailableItemIds().

### QMap<QString, Command *> SideBar::shortcutMap() const

See also setShortcutMap().

### `[signal]` void SideBar::sideBarClosed()

### QStringList SideBar::unavailableItemIds() const

See also setUnavailableItemIds().